# $Revision: 1.68 $, $Date: 2002/09/20 10:32:06 $
Summary:	GNU libtool, a shared library generation tool
Summary(es):	GNU libtool, una herramienta de creacin de bibliotecas compartidas
Summary(pl):	GNU libtool - narzdzie do generowania bibliotek wspdzielonych
Summary(pt_BR):	GNU libtool, uma ferramenta de gerao de bibliotecas compartilhadas
Summary(ru):	GNU libtool,      
Summary(uk):	GNU libtool, ¦ ̦  æ ͦ ¦̦
Name:		libtool
Version:	1.4.2
Release:	12
Epoch:		1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.gnu.org/gnu/libtool/%{name}-%{version}.tar.gz
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
Patch0:		%{name}-info.patch
Patch1:		%{name}-mktemp.patch
Patch2:		%{name}-test.patch
Patch3:		%{name}-relink.patch
Patch4:		%{name}-ac253.patch
URL:		http://www.gnu.org/software/libtool/
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	mktemp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU libtool is a set of shell scripts to automatically configure UNIX
architectures to build shared libraries in generic fashion.

%description -l es
GNU libtool es un conjunto de scripts shell para configurar
automticamente la creacin de bibliotecas compartidas para varias
arquitecturas UNIX de una manera genrica.

%description -l pl
GNU libtool jest zbiorem skryptw shellowych do automatycznego
generowania bibliotek wspdzielonych niezalenie od typu platformy
systemowej.

%description -l pt_BR
GNU libtool  um conjunto de scripts shell para configurar
automaticamente a gerao de bibliotecas compartilhadas para vrias
arquiteturas UNIX de uma maneira genrica.

%description -l ru
GNU libtool -      
      UNIX.

%description -l uk
GNU libtool -  ¦ Ԧ  ϧ æ ͦ
¦̦  Ҧ Ȧ UNIX.

%package -n libltdl
Summary:	System independent dlopen wrapper for GNU libtool
Summary(pl):	Biblioteka oglnych wywoa dlopen
Summary(pt_BR):	GNU libltdl, um wrapper dlopen para o GNU libtool
Group:		Libraries
Obsoletes:	libtool-libs

%description -n libltdl
System independent dlopen wrapper for GNU libtool.

%description -n libltdl -l pl
Biblioteka oglnych wywoa dlopen.

%description -n libltdl -l pt_BR
GNU libltdl, um wrapper dlopen para o GNU libtool.

%package -n libltdl-devel
Summary:	Development components for libltdl
Summary(pl):	Cz libltdl przeznaczona dla programistw
Summary(pt_BR):	Componentes de desenvolvimento para a libltdl
Summary(ru):	     libltdl
Summary(uk):	     libltdl
Group:		Development/Libraries
Requires:	libltdl = %{version}

%description -n libltdl-devel
System independent dlopen wrapper for GNU libtool - development part.
Install this package if you want to develop for libltdl.

%description -n libltdl-devel -l pl
Biblioteka oglnych wywoa dlopen - cz dla programistw.

%description -n libltdl-devel -l pt_BR
Instale este pacote se voc deseja desenvolver para a libltdl.

%description -n libltdl-devel -l uk
     libltdl.

%description -n libltdl-devel -l ru
     libltdl.

%package -n libltdl-static
Summary:	Static system independent dlopen wrapper for GNU libtool
Summary(pl):	Statyczna biblioteka oglnych wywoa dlopen
Summary(pt_BR):	Componentes de desenvolvimento para a libltdl
Summary(ru):	  libltdl  libltdl
Summary(uk):	 ¦̦ libltdl  libltdl
Group:		Development/Libraries
Requires:	libltdl-devel = %{version}

%description -n libltdl-static
Static system independent dlopen wrapper for GNU libtool. Install this
package if you want to develop for libltdl, but using static
components (seldom used).

%description -n libltdl-static -l pl
Statyczna biblioteka oglnych wywoa dlopen.

%description -n libltdl-static -l pt_BR
Instale este pacote se voc deseja desenvolver para a libltdl,
utilizando componentes estticos (raramente necessrio).

%description -n libltdl-static -l ru
     ,   
  libltdl.

%description -n libltdl-static -l uk
   ڦ  ¦̦,  ¦   
 libltdl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f missing
aclocal
autoupdate
%{__automake}
%{__autoconf}
cd libltdl
rm -f missing
cp -f ../ltmain.sh .
aclocal -I ..
autoupdate
%{__automake}
%{__autoconf}
cd ..

%configure
%{__make} -C doc -k
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post   -n libltdl -p /sbin/ldconfig
%postun -n libltdl -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO ChangeLog demo
%attr(755,root,root) %{_bindir}/*

%dir %{_datadir}/libtool
%attr(755,root,root) %{_datadir}/libtool/config.guess
%attr(755,root,root) %{_datadir}/libtool/config.sub
%attr(755,root,root) %{_datadir}/libtool/ltmain.sh

%{_infodir}/libtool.info*
%{_mandir}/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%{_aclocaldir}/libtool.m4

%files -n libltdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files -n libltdl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/ltdl.m4

%dir %{_datadir}/libtool/libltdl
%{_datadir}/libtool/libltdl/a*
%{_datadir}/libtool/libltdl/config-h.in
%attr(755,root,root) %{_datadir}/libtool/libltdl/configure
%{_datadir}/libtool/libltdl/configure.in
%{_datadir}/libtool/libltdl/C*
%{_datadir}/libtool/libltdl/l*
%{_datadir}/libtool/libltdl/M*
%{_datadir}/libtool/libltdl/R*

%files -n libltdl-static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libtool.spec,v $
Revision 1.68  2002/09/20 10:32:06  wrobell
- rel. 12, epoch 1

Revision 1.67  2002/06/17 05:51:54  kloczek
- use new %doc.

Revision 1.66  2002/05/26 18:58:37  qboosh
- ported ac253 patch from DEVEL - needed to work correctly with ac 2.53,
  should work with ac 2.52 too
- removed stamp.h-in from libltdl data, other fixes to build with new
  ac/am and without libtool already installed
- release 11

Revision 1.65  2002/05/21 23:14:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.64  2002/04/12 14:03:07  ankry
- merged en and ja man pages into one tar; added src URL
- install directly into $RPM_BUILD_ROOT
- release 10

Revision 1.63  2002/04/10 21:12:11  ankry
- added Japanese man pages

Revision 1.62  2002/04/10 16:34:44  kloczek
- added man pages for libtool(1) and libtoolize(1) (from Debian resources).

Revision 1.61  2002/04/10 08:43:46  misiek
- added workaround for relinking problem (from mdk); release 9

Revision 1.60  2002/04/09 01:15:03  kloczek
- release 8, merge translations from KSI.

Revision 1.59  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.58  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.57  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.56  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.55  2001/10/11 04:53:16  kloczek
- release 3.

Revision 1.54  2001/10/10 12:16:33  qboosh
- BuildRequires: autoconf, automake

Revision 1.53  2001/09/14 21:10:56  qboosh
- libltdl/* ARE needed - for libtoolize --ltdl
- reverted and updated %%files (s/config\.h\.in/config-h.in/)
- fixed English summaries/descriptions, removed English "es" translations
- release 2

Revision 1.52  2001/09/13 21:08:57  kloczek
- removed %%{_datadir}/libtool/libltdl from devel %files list (seems this
  isn't neccessary).

Revision 1.51  2001/09/13 17:12:13  kloczek
- updated to 1.4.2,
- added test patch for quoting some $vatiables in "" (patch from CNV).

Revision 1.50  2001/09/03 21:59:36  kloczek
- merge translations from CNV,
- updated %files list,
- small simplification in %build.

Revision 1.49  2001/09/03 19:06:00  filon
- updated to 1.4.1

Revision 1.48  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.46  2001/07/10 16:57:00  wiget
1.4b

Revision 1.45  2001/05/03 15:25:23  qboosh
- added missing dir to libltdl-devel: %%{_datadir}/libtool/libltdl
- release 2

Revision 1.44  2001/04/27 10:19:40  wiget
release 1

Revision 1.43  2001/04/27 10:18:18  wiget
- updated to 1.4
- removed cache patch (obsoleted now)
- removed nonneg (its broken and not needed, author of this patch must
read SUSv2 and understand libtool)
- ltconfig is gone
- libltdl source in libltdl-devel subpackage
  (in order to 'libtoolize --ltdl' work correct)

Revision 1.42  2000/12/08 07:04:48  kloczek
- release 11,
- removed %%{_datadir}/libtool from libltdl-devel (this file s are not
  neccessary).

Revision 1.41  2000/09/27 16:23:01  kloczek
- release 10: adapterized adn added using rpm new automation.

Revision 1.40  2000/08/30 23:51:07  kloczek
- release 9,
- merged mktemp and nonneg patches from RH,
- added Requires: mktemp for main,
- added libtool-libs to Obsoletes in libltdl subpackage.

Revision 1.39  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.38  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.37  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.36  2000/05/28 11:06:44  kloczek
- updated to 1.3.5,
- spec adapterized.

Revision 1.35  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.34  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.33  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.32  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.31  2000/01/20 23:43:23  kloczek
- release 2 (synchro with rawhide),
- adapter(ized).

Revision 1.30  1999/12/09 15:02:35  kloczek
- updated to 1.3.4,
- removed arm patch (now integrated in current version).

Revision 1.30  1999/12/09 15:02:35  kloczek
- updated to 1.3.4,
- removed arm patch (now integrated in current version).

Revision 1.29  1999/09/12 20:49:26  kloczek
- typo.

Revision 1.28  1999/09/12 20:46:27  kloczek
- release 2,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- added arm patch (from rawhide),
- standarization to "* text: (link).  description" format in info index
  entries for libtool.

Revision 1.27  1999/08/06 13:55:29  jasio
Changed gemnerowania -> generowania.

Revision 1.26  1999/07/23 09:28:13  wiget
- added %%defattr macro

Revision 1.25  1999/07/23 08:59:31  kloczek
- simplifications in %files.

Revision 1.24  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 23 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.3-3]
- added some macros,
- fixed %post & %postun,
- cosmetic.

* Wed May  5 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.3-2]
- added CFLAGS="$RPM_OPT_FLAGS" to ./configure enviroment,
- added stripping shared libraries.

* Fri Apr 30 1999 Artur Frysiak <wiget@pld.org.pl>
- added libltdl, libltdl-devel and libltdl-static subpackage
- removed BuildArch: noarch (added subpackage are system independent)
- added patch for work correct with grep 2.3

* Sun Mar 14 1999 Micha Kuratczyk <kura@pld.org.pl>
  [1.2d-3]
- added gzipping documentation

* Thu Mar 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2d-2]
- Group changed to Development/Tools,
- added Group(pl).

* Tue Dec 29 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2d-1]
- added pl translation,
- added libtool-info.patch.
- standarized {un}registering info pages.

* Wed Nov 25 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2b-2]
- added URL field,
- fixed --entry text on {un}registering info page for libtool in %post
  %preun in devel.

* Thu Sep  8 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2-1]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- removed COPYING and INSTALL drom %doc,
- added %attr and %defattr macros in %files (allows build package from
  non-root account),
- start at RH spec.
